.app.sheet.koboldworks.spell-config {
	min-width: 480px;
	//min-height: 540px;
	//min-height: 37em;

	form {
		display: flex;
		flex-direction: column;
		overflow: hidden;

		nav.tabs {
			font-size: var(--font-size-15, 12pt);
			font-weight: bold;
			display: flex;
			flex-direction: row;
			gap: 3px;
			flex: 0 1em;

			a {
				padding: 0.2em 0.7em 0;
				border-top-left-radius: 0.5em;
				border-top-right-radius: 0.5em;
				background-color: rgba(0, 0, 0, 0.2);
				border: 1px solid #6a6c5d;
				white-space: nowrap;
				flex: 1 4em;
				text-align: center;

				&.active {
					background-color: rgba(0, 0, 0, 0.6);
					color: white;
				}
			}

			border-bottom: 2px ridge #d7ccbd;
		}

		content.tabs {
			margin-top: 0.3em;
			//height:100%;
			overflow: hidden;

			section {
				display: grid;
				grid-template-columns: 3fr 4fr;

				gap: 0.2rem;
				flex: 1;
				overflow: auto;

				fieldset {
					padding: 0.2em 0.3em;
					legend {
						font-weight: bold;
					}

					transition: all 200ms ease;

					&.disabled {
						.collapse {
							display: none;
						}
					}

					&.overridden {
						opacity: 0.6;
					}

					.form-group {
					}
				}

				.use-spellpoints {
					.warning {
						color: darkred;
						font-size: var(--font-size-11);
					}
				}

				.config-group {
					display: flex;
					flex-direction: column;
					flex: 1;
					gap: 0.3em;

					&.basic {
						//min-width: 280px;
					}

					&.slots {
						//min-width: 320px;
					}
				}

				&:not(.active) {
					display: none;
				}

				.form-group {
					gap: 3px;

					&.ignore-disabled {
						opacity: unset;
					}
				}

				label {
					white-space: nowrap;
					flex: 0 8em;
					line-height: 1.5;
				}

				input,
				select {
					flex: 1 8em;
					line-height: 1.5;
					height: 1.5em;

					&[type='checkbox'] {
						flex: 0 1em;
					}
				}

				input::placeholder {
					//color: rgb(97, 81, 71);
					opacity: 0.6;
				}

				.spell-slot-grid {
					display: grid;
					grid-template-columns: repeat(2, 3em) repeat(var(--spell-columns), 1fr) repeat(2, 3em);
					grid-template-rows: min-content;
					gap: 3px 2px;
					width: 100%;

					list-style: none;
					margin: 0;
					padding: 0;

					.spell-slot-row {
						display: contents;

						&.disabled > * {
							opacity: 0.6;
						}

						label,
						span {
							flex: 1 2em;
							text-align: center;
							justify-content: center;
							line-height: 1.5;
						}

						&.header {
							display: contents;
							background-color: rgba(0, 0, 0, 0.2);
							label {
								font-weight: bold;
								background-color: rgba(255, 255, 255, 0.1);
							}
						}
					}
				}

				&.disabled {
					.hide-if-disabled {
						opacity: 0.6;
					}
				}
			}
		}
	}
}
